Bug 35768 - Update libvirt and qemu-kvm to jessie packages
Update libvirt and qemu-kvm to jessie packages
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Virtualization - KVM
UCS 4.0
Other Linux
: P5 enhancement (vote)
: UCS 4.0
Assigned To: Stefan Gohmann
Erik Damrose
: interim-2
Depends on: 35970
Blocks: 36122 36355 38655
  Show dependency treegraph
 
Reported: 2014-09-02 07:17 CEST by Stefan Gohmann
Modified: 2015-06-05 13:07 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-09-02 07:17:42 CEST
The libvirt and qemu-kvm packages should be updated to the jessie versions.
Comment 1 Philipp Hahn univentionstaff 2014-09-12 19:02:31 CEST
<https://packages.debian.org/source/jessie/libvirt>:  1.2.7-11
 The Python binding is now a separate source package

<https://packages.debian.org/source/jessie/libvirt-python>: 1.2.6-2
 Needs fix <https://www.redhat.com/archives/libvir-list/2014-September/msg00749.html>

<https://packages.debian.org/source/jessie/qemu>: 2.1+dfsg-4
 The no longer is a kvm package.
Comment 2 Philipp Hahn univentionstaff 2014-09-12 19:12:23 CEST
repo_admin.py -U -r 4.0-0-0 -d testing -p qemu           # 2.1+dfsg-4
repo_admin.py -U -r 4.0-0-0 -d testing -p libvirt        # 1.2.7-11
repo_admin.py -U -r 4.0-0-0 -d testing -p libvirt-python # 1.2.6-2
Comment 3 Philipp Hahn univentionstaff 2014-09-16 17:28:20 CEST
repo_admin.py -U -d wheezy-backports -r 4.0-0-0 -p libiscsi # 1.12.0-2~bpo70+1
  the Wheezy version is known broken

Package: libiscsi
Version: 1.12.0-2~bpo70+1.3.201409151354
Branch: ucs_4.0-0


repo_admin.py -U -d wheezy-backports -r 4.0-0-0 -p libusb-1.0 # 2:1.0.19-1~bpo70+1

Package: libusb-1.0
Version: 2:1.0.19-1~bpo70+1.3.201409151529
Branch: ucs_4.0-0


repo_admin.py -U -d wheezy-backports -r 4.0-0-0 -p usbredir # 0.6-2~bpo70+1
  usbredirserver/usbredirserver.1 is broken, fixed with dpkg-source -x --skip-patches && $EDITOR && dpkg-buildpackage -S

Package: usbredir
Version: 0.6-2~bpo70+1.4.201409151549
Branch: ucs_4.0-0


repo_admin.py -U -d wheezy-backports -r 4.0-0-0 -p spice-protocol # 0.12.6-1~bpo70+2

Package: spice-protocol
Version: 0.12.6-1~bpo70+2.5.201409151601
Branch: ucs_4.0-0


repo_admin.py -U -d wheezy-backports -r 4.0-0-0 -p spice # 0.12.4-0nocelt2~bpo70+1
  debian/patches/make-celt-to-be-optional.patch is broken, s.a.

Package: spice
Version: 0.12.4-0nocelt2~bpo70+1.6.201409151614
Branch: ucs_4.0-0

repo_admin.py -U -d wheezy-backports -r 4.0-0-0 -p seabios # 1.7.5-1~bpo70+1

Package: seabios
Version: 1.7.5-1~bpo70+1.12.201409161530
Branch: ucs_4.0-0


repo_admin.py -U -d jessie -r 4.0-0-0 -p ipxe # 1.0.0+git-20131111.c3d1e78-2

Package: ipxe
Version: 1.0.0+git-20131111.c3d1e78-2.6.201409161718
Branch: ucs_4.0-0


repo_admin.py -U -d wheezy-backports -r 4.0-0-0 -p qemu # 2.1+dfsg-2~bpo70+2
 r13580: patches
Comment 4 Philipp Hahn univentionstaff 2014-09-17 15:58:59 CEST
Package: qemu
Version: 2.1+dfsg-2~bpo70+2.42.201409161744
Branch: ucs_4.0-0

 The bpo package was chosen as it more easily builds on UCS-4. The Debian patches from 2..4 haven been applied on top slightly modified to not break our repo-ng build system.
Comment 5 Arvid Requate univentionstaff 2014-09-25 17:03:37 CEST
libvirt - Version 1.2.7-11 in UCS 4.0 imported but not built.
Currently built version in UCS 4.0  0.9.12.3-1 is older than version 0.9.12-5 in ucs_3.1-0-errata3.1-0.
TODO: migrate 17 Patches from ucs_3.1-0-errata3.1-0.
Comment 6 Philipp Hahn univentionstaff 2014-09-26 08:25:54 CEST
TBD: Maybe update to "QEMU 2.1.2 Stable released"?
Comment 7 Philipp Hahn univentionstaff 2014-09-30 12:47:26 CEST
r13771 | merge old libvirt patches

Package: libvirt
Version: 1.2.7-11.127.201409301139
Branch: ucs_4.0-0

r13772 | python-libvirt for UCS-4.0

Package: libvirt-python
Version: 1.2.6-2.1.201409301210
Branch: ucs_4.0-0

r54052 | Bug #35768: qemu & libvirt
Comment 8 Erik Damrose univentionstaff 2014-10-02 10:46:56 CEST
(In reply to Philipp Hahn from comment #3)
> Package: libiscsi
> Version: 1.12.0-2~bpo70+1.3.201409151354
> Branch: ucs_4.0-0
OK

> Package: libusb-1.0
> Version: 2:1.0.19-1~bpo70+1.3.201409151529
> Branch: ucs_4.0-0
OK

> repo_admin.py -U -d wheezy-backports -r 4.0-0-0 -p usbredir # 0.6-2~bpo70+1
>   usbredirserver/usbredirserver.1 is broken, fixed with dpkg-source -x
> --skip-patches && $EDITOR && dpkg-buildpackage -S
> 
> Package: usbredir
> Version: 0.6-2~bpo70+1.4.201409151549
> Branch: ucs_4.0-0
OK


> Package: spice-protocol
> Version: 0.12.6-1~bpo70+2.5.201409151601
> Branch: ucs_4.0-0
OK


> repo_admin.py -U -d wheezy-backports -r 4.0-0-0 -p spice #
> 0.12.4-0nocelt2~bpo70+1
>   debian/patches/make-celt-to-be-optional.patch is broken, s.a.
> 
> Package: spice
> Version: 0.12.4-0nocelt2~bpo70+1.6.201409151614
> Branch: ucs_4.0-0
OK

> repo_admin.py -U -d wheezy-backports -r 4.0-0-0 -p seabios # 1.7.5-1~bpo70+1
> 
> Package: seabios
> Version: 1.7.5-1~bpo70+1.12.201409161530
> Branch: ucs_4.0-0
OK

> repo_admin.py -U -d jessie -r 4.0-0-0 -p ipxe # 1.0.0+git-20131111.c3d1e78-2
> 
> Package: ipxe
> Version: 1.0.0+git-20131111.c3d1e78-2.6.201409161718
> Branch: ucs_4.0-0
OK
Comment 9 Erik Damrose univentionstaff 2014-10-02 11:26:49 CEST
> Package: qemu
> Version: 2.1+dfsg-2~bpo70+2.42.201409161744
> Branch: ucs_4.0-0
> 
>  The bpo package was chosen as it more easily builds on UCS-4. The Debian
> patches from 2..4 haven been applied on top slightly modified to not break
> our repo-ng build system.

OK, patches applied

> r13771 | merge old libvirt patches
> 
> Package: libvirt
> Version: 1.2.7-11.127.201409301139
> Branch: ucs_4.0-0

FAIL: Changelog claims 
3.1-0-0-ucs/0.9.12-5-errata3.1-0/40_Bug29532_xen-pygrub.patch
  removed - Xen is no longer supported

But the patch is still present as 0002-Bug-29532-Xen-Bootmedium-ndern.patch
Rest of the patches: OK

> 
> r13772 | python-libvirt for UCS-4.0
> 
> Package: libvirt-python
> Version: 1.2.6-2.1.201409301210
> Branch: ucs_4.0-0
OK

> r54052 | Bug #35768: qemu & libvirt
Changelog OK
Comment 10 Philipp Hahn univentionstaff 2014-10-02 12:20:03 CEST
(In reply to Erik Damrose from comment #9)
> > r13771 | merge old libvirt patches
> > 
> > Package: libvirt
> > Version: 1.2.7-11.127.201409301139
> > Branch: ucs_4.0-0
> 
> FAIL: Changelog claims 
> 3.1-0-0-ucs/0.9.12-5-errata3.1-0/40_Bug29532_xen-pygrub.patch
>   removed - Xen is no longer supported
> 
> But the patch is still present as 0002-Bug-29532-Xen-Bootmedium-ndern.patch
> Rest of the patches: OK

r13820 | remove 0002-Bug-29532-Xen-Bootmedium-ndern.patch

Package: libvirt
Version: 1.2.7-11.128.201410021141
Branch: ucs_4.0-0

# dpkg-deb --fsys-tarfile /var/univention/buildsystem2/apt/ucs_4.0-0/amd64/libvirt0_1.2.7-11.128.201410021141_amd64.deb | tar xfO - ./usr/share/doc/libvirt0/changelog.Debian.gz | gzip -d | sed '1,2d;/^$/Q'
  * UCS auto build. The following patches have been applied to the original source package
    0000-Bug-35768-Fix-test-failure
    0001-Bug-35768-fix-UCS-4-build-dependencies
    0003-Bug-19329-Allow-MD5-signatures
    0004-Bug-21860-Default-to-kvm32
    0005-Allow-to-migrate-and-undefine-domains-with-snapshots
    0006-Bug-22072-Re-scan-for-snapshots-after-migration-and-
    0007-Bug-21501-add-slash-screen-support
Comment 11 Erik Damrose univentionstaff 2014-10-06 13:21:13 CEST
(In reply to Philipp Hahn from comment #10)
> r13820 | remove 0002-Bug-29532-Xen-Bootmedium-ndern.patch
> 
> Package: libvirt
> Version: 1.2.7-11.128.201410021141
> Branch: ucs_4.0-0

OK, patch and its references removed
-> Verified
Comment 12 Erik Damrose univentionstaff 2014-11-12 17:05:44 CET
REOPEN: The update to qemu 2 prevents reverting to snapshots created with ucs3.2's qemu version, as pxe boot files are kept seperate from snapshots and do not match the state known to the instance

Detailed explanation at Bug 24702

Please revert to the UCS 3.2 package versions
Comment 13 Stefan Gohmann univentionstaff 2014-11-13 20:34:03 CET
(In reply to Erik Damrose from comment #12)
> Please revert to the UCS 3.2 package versions

I've rebuild:

Package: etherboot
Version: 5.4.4-9.23.201411131122

Package: ipxe
Version: 1.0.0+git-20120202.f6840ba-3.8.201411131152

Package: seabios
Version: 1.7.0-1.14.201411131158

Package: qemu
Version: 1.1.2+dfsg-6a.44.201411131204

Package: qemu-kvm
Version: 1.1.2+dfsg-6.36.201411131534

If something is missing, please reopen.
Comment 14 Erik Damrose univentionstaff 2014-11-14 19:04:54 CET
Verified: New installations and update case work fine
Comment 15 Stefan Gohmann univentionstaff 2014-11-26 06:55:27 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".